import request from './requst.js';
// 共用图片上传接口
export function uploadImg(data) {
  return request.upload("/universal/api.upload/upload", data);
}
// 解决方案列表接口
export function getPlanType(data) {
  return request.get("/universal/api.solution/solution_list", data);
}

// 更新用户地理位置
export function renewLocation(data) {
  return request.post("/universal/api.user/update_location", data);
}

// 搜索客户、项目、备品
export function queryFun(data) {
  return request.post("/universal/api.search/search", data);
}

// （客户、项目、备品）详情
export function queryDetail(data) {
  return request.get("/universal/api.search/search_info", data);
}

// 处理工单，获取
export function handleWorkOrderGet(data) {
  return request.get("/universal/api.order/process_order", data);
}
// 处理工单，提交
export function handleWorkOrderSubmit(data) {
  return request.post("/universal/api.order/process_order", data);
}

// 获取产品类型
export function getProductType() {
  return request.get("/universal/api.project/project_type");
}

// 获取维保类型
export function getFaultType() {
  return request.get("/universal/api.order/fault_type");
}

// 获取服务方式
export function getServiceMode() {
  return request.get("/universal/api.order/fault_type");
}